VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceTransformFeedbackPropertiesEXT const & () const
| operator VkPhysicalDeviceTransformFeedbackPropertiesEXT & ()
bool | operator== (PhysicalDeviceTransformFeedbackPropertiesEXT const &rhs) const
bool | operator!= (PhysicalDeviceTransformFeedbackPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | maxTransformFeedbackStreams
uint32_t | maxTransformFeedbackBuffers
DeviceSize | maxTransformFeedbackBufferSize
uint32_t | maxTransformFeedbackStreamDataSize
uint32_t | maxTransformFeedbackBufferDataSize
uint32_t | maxTransformFeedbackBufferDataStride
Bool32 | transformFeedbackQueries
Bool32 | transformFeedbackStreamsLinesTriangles
Bool32 | transformFeedbackRasterizationStreamSelect
Bool32 | transformFeedbackDraw

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceTransformFeedbackPropertiesEXT

## Detailed Description

Definition at line 19258 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceTransformFeedbackPropertiesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::operator VkPhysicalDeviceTransformFeedbackPropertiesEXT & | ( |  | ) |

inline

Definition at line 19265 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceTransformFeedbackPropertiesEXT*>(this);
}

## operator VkPhysicalDeviceTransformFeedbackPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::operator VkPhysicalDeviceTransformFeedbackPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 19260 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceTransformFeedbackPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::operator!= | ( | PhysicalDeviceTransformFeedbackPropertiesEXT const & | rhs | ) | const

inline

Definition at line 19286 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::operator== | ( | PhysicalDeviceTransformFeedbackPropertiesEXT const & | rhs | ) | const

inline

Definition at line 19270 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxTransformFeedbackStreams == rhs.maxTransformFeedbackStreams )
&& ( maxTransformFeedbackBuffers == rhs.maxTransformFeedbackBuffers )
&& ( maxTransformFeedbackBufferSize == rhs.maxTransformFeedbackBufferSize )
&& ( maxTransformFeedbackStreamDataSize == rhs.maxTransformFeedbackStreamDataSize )
&& ( maxTransformFeedbackBufferDataSize == rhs.maxTransformFeedbackBufferDataSize )
&& ( maxTransformFeedbackBufferDataStride == rhs.maxTransformFeedbackBufferDataStride )
&& ( transformFeedbackQueries == rhs.transformFeedbackQueries )
&& ( transformFeedbackStreamsLinesTriangles == rhs.transformFeedbackStreamsLinesTriangles )
&& ( transformFeedbackRasterizationStreamSelect == rhs.transformFeedbackRasterizationStreamSelect )
&& ( transformFeedbackDraw == rhs.transformFeedbackDraw );
}

References maxTransformFeedbackBufferDataSize, maxTransformFeedbackBufferDataStride, maxTransformFeedbackBuffers, maxTransformFeedbackBufferSize, maxTransformFeedbackStreamDataSize, maxTransformFeedbackStreams, pNext, sType, transformFeedbackDraw, transformFeedbackQueries, transformFeedbackRasterizationStreamSelect, and transformFeedbackStreamsLinesTriangles.

Referenced by operator!=().

## Field Documentation

## maxTransformFeedbackBufferDataSize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBufferDataSize

Definition at line 19300 of file vulkan.hpp.

Referenced by operator==().

## maxTransformFeedbackBufferDataStride

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBufferDataStride

Definition at line 19301 of file vulkan.hpp.

Referenced by operator==().

## maxTransformFeedbackBuffers

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBuffers

Definition at line 19297 of file vulkan.hpp.

Referenced by operator==().

## maxTransformFeedbackBufferSize

DeviceSize VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBufferSize

Definition at line 19298 of file vulkan.hpp.

Referenced by operator==().

## maxTransformFeedbackStreamDataSize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackStreamDataSize

Definition at line 19299 of file vulkan.hpp.

Referenced by operator==().

## maxTransformFeedbackStreams

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackStreams

Definition at line 19296 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::pNext = nullptr

Definition at line 19295 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::sType = StructureType::ePhysicalDeviceTransformFeedbackPropertiesEXT

private

Definition at line 19292 of file vulkan.hpp.

Referenced by operator==().

## transformFeedbackDraw

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackDraw

Definition at line 19305 of file vulkan.hpp.

Referenced by operator==().

## transformFeedbackQueries

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackQueries

Definition at line 19302 of file vulkan.hpp.

Referenced by operator==().

## transformFeedbackRasterizationStreamSelect

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackRasterizationStreamSelect

Definition at line 19304 of file vulkan.hpp.

Referenced by operator==().

## transformFeedbackStreamsLinesTriangles

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackStreamsLinesTriangles

Definition at line 19303 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::operator==
bool operator==(PhysicalDeviceTransformFeedbackPropertiesEXT const &rhs) const
Definition: vulkan.hpp:19270
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBuffers
uint32_t maxTransformFeedbackBuffers
Definition: vulkan.hpp:19297
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackDraw
Bool32 transformFeedbackDraw
Definition: vulkan.hpp:19305
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBufferDataSize
uint32_t maxTransformFeedbackBufferDataSize
Definition: vulkan.hpp:19300
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBufferSize
DeviceSize maxTransformFeedbackBufferSize
Definition: vulkan.hpp:19298
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackQueries
Bool32 transformFeedbackQueries
Definition: vulkan.hpp:19302
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:19295
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackStreamsLinesTriangles
Bool32 transformFeedbackStreamsLinesTriangles
Definition: vulkan.hpp:19303
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackStreamDataSize
uint32_t maxTransformFeedbackStreamDataSize
Definition: vulkan.hpp:19299
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackStreams
uint32_t maxTransformFeedbackStreams
Definition: vulkan.hpp:19296
VkPhysicalDeviceTransformFeedbackPropertiesEXT
Definition: vulkan_core.h:6400
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:19292
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::transformFeedbackRasterizationStreamSelect
Bool32 transformFeedbackRasterizationStreamSelect
Definition: vulkan.hpp:19304
VULKAN_HPP_NAMESPACE::PhysicalDeviceTransformFeedbackPropertiesEXT::maxTransformFeedbackBufferDataStride
uint32_t maxTransformFeedbackBufferDataStride
Definition: vulkan.hpp:19301